import React from 'react'
import "./adminEventElement.scss";


export default ({img, title, id, onClick, onClickEdit, onClickDelete,  ...rest}) => (
    <div id = {id} className = "event-tank" color = "#f6f1bf" onClick = {onClick} > 
        <div className = "event-title">{title}</div>
        <img className = "event-image" src = {img} alt = "event"/>
        <div className ="event-buttons-conteiner">
            <button className="event-button" onClick = {onClickEdit}>Edit Event</button>
            <button className="event-button" onClick = {onClickDelete}>Delete Event</button>
        </div>
        {/* <div className = "event-title">{title}</div> */}
    </div>
)