import { combineReducers } from "redux";
import { reducer as formReducer } from "redux-form";

import adminMainPageReducer from "./adminMainPageReducer";
import sidebar from "./show-sidebar";
import login from "./login";
import registration from "./registration";
import getEvents from "./getAllEvents";
import photogalaryReducer from "./photogalaryReducer"

export default combineReducers({
	form: formReducer,
	adminMainPageReducer,
    login,
    registration,
    getEvents,
    sidebar,
    photogalaryReducer
});